﻿<%@ Page Title="" Language="C#" MasterPageFile="~/master.Master" AutoEventWireup="true" CodeBehind="workorder.aspx.cs" Inherits="WebApplication1.workproduct" %>



<%@ Register Assembly="Syncfusion.EJ.Web, Version=14.4400.0.15, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<%@ Register Assembly="Syncfusion.EJ, Version=14.4400.0.15, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>


<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    
                 <asp:HiddenField ID="SelectRecords" ClientIDMode="Static" runat="server" />

    <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
    <div>
       

       <h3> Product </h3> 

        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>

                <ej:Grid ID="ProductGrid" ClientIDMode="Static" runat="server" AllowPaging="True" 
                     OnServerRecordClick="ProductGrid_ServerRecordClick"
                    AllowFiltering="false" OnServerEditRow="EditEvents_ServerEditRow"
                    OnServerAddRow="EditEvents_ServerAddRow" OnServerDeleteRow="EditEvents_ServerDeleteRow">
                 
                    <ClientSideEvents ActionComplete="complete"  EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" DataBound="OnCreate" />
                    <Columns>
                        <ej:Column Field="Productcode" HeaderText="Prodcut code" IsPrimaryKey="true" TextAlign="Right" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />
                                <ej:KeyValue Key="number" Value="true" />
                            </ValidationRule>
                        </ej:Column>
                        <ej:Column Field="Productname" HeaderText="Product name" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />                   
                            </ValidationRule>
                        </ej:Column>

                           <ej:Column Field="Type" HeaderText="Type" Width="90">
                           
                        </ej:Column>


                        <ej:Column HeaderText=" " Template="true" TemplateID="#buttonTemplate" TextAlign="Center" Width="75" AllowFiltering="false"/>  

                    </Columns>
                    <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="DialogTemplate" DialogEditorTemplateID="#protemplate"></EditSettings>
                    <ToolbarSettings ShowToolbar="True" ToolbarItems="edit,delete,update,cancel"></ToolbarSettings>
                </ej:Grid>           
</ContentTemplate>
           
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="ProductGrid" />
            </Triggers>
        </asp:UpdatePanel>
   
    </div>


     <div>

      <h3>  Materials </h3> 

     
         <asp:UpdatePanel ID="UpdatePanel2" runat="server">
            <ContentTemplate>

                <ej:Grid ID="MaterialGrid" ClientIDMode="Static" DataSourceCachingMode="Session" runat="server" AllowPaging="True" AllowFiltering="false" OnServerEditRow="EditMaterial_ServerEditRow"
                    OnServerAddRow="EditMaterial_ServerAddRow" OnServerDeleteRow="EditMaterial_ServerDeleteRow">
                 
                    <ClientSideEvents ActionComplete="materialcomplete" EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" />
                    <Columns>


                        <ej:Column Field="Productcode" HeaderText="Product code" IsPrimaryKey="true" TextAlign="Right" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />
                                <ej:KeyValue Key="number" Value="true" />
                            </ValidationRule>
                        </ej:Column>
                        <ej:Column Field="Productname" HeaderText="Product name" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />                   
                            </ValidationRule>
                        </ej:Column>


                        <ej:Column Field="Materialcode" HeaderText="Material code"  TextAlign="Right" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />
                                <ej:KeyValue Key="number" Value="true" />
                            </ValidationRule>
                        </ej:Column>
                        <ej:Column Field="Materialname" HeaderText="Material name" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />                   
                            </ValidationRule>
                        </ej:Column>
                       

                    </Columns>
                    <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="DialogTemplate" DialogEditorTemplateID="#materialtemplate"></EditSettings>
                    <ToolbarSettings ShowToolbar="True" ToolbarItems="edit,delete,update,cancel"></ToolbarSettings>
                </ej:Grid>  
             
</ContentTemplate>
           
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="MaterialGrid" />
            </Triggers>
        </asp:UpdatePanel>



   
    </div>


        <script type="text/x-jsrender" id="buttonTemplate">

        <input type="button" class="Details" name="Details" value="Select"/>    

    </script>




    
                
   <script type="text/javascript">

     

       function OnCreate(args) {


           $(".Details").ejButton({

               click: function (e) {
                   debugger;

                  var obj = $('#<%= ProductGrid.ClientID %>').data("ejGrid");
                   var record = obj.getSelectedRecords();
                   var gridObj = $('#<%= MaterialGrid.ClientID %>').ejGrid("instance");
                   $("#SelectRecords").val(JSON.stringify(record));
                    if (gridObj.model.dataSource == null)
                        gridObj.dataSource(record);
                    else {
                        gridObj.model.dataSource.push(record[0]);
                        gridObj.refreshContent();
                    }

                }

            });
            }





       function selected(args) {
           var data = $('#<%= ProductGrid.ClientID %>').ejGrid("instance")._dataSource();
           var grid = $('#<%= ProductGrid.ClientID %>').ejGrid("instance");
           var record = args.data.Productcode;
           var detaildata = ej.DataManager(data).executeLocal(ej.Query().where("Productcode", ej.FilterOperators.equal, record, false));
           var gridObj = $('#<%= MaterialGrid.ClientID %>').ejGrid("instance");
           gridObj.dataSource(ej.DataManager(detaildata));
       }

</script>



    <script type="text/template" id="protemplate">
        <b>Product Details</b>
        <table cellspacing="10">
            <tr>
                <td style="text-align: right;">Product code
                </td>
                <td style="text-align: left">
                    <input id="Productcode" name="Productcode" value="{{: Productcode}}" 
                        class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                </td>
                <td style="text-align: right;">Product name
                </td>
                <td style="text-align: left">
                    <input id="Productname" name="Productname" value="{{: Productname}}" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" />
                </td>
            </tr>

           <tr>
             <td style="text-align: right;">Type
                </td>
                <td style="text-align: left">
                    <input id="Type" name="Type" value="{{: Type}}" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" />
                </td>
            </tr>

            
        </table>
    </script>



        <script type="text/template" id="materialtemplate">
        <b>Material Details</b>
        <table cellspacing="10">
              <tr>
             <td style="display: none;">
            
                     <input id="Productcode" name="Productcode" value="{{:Productcode}}" 
                        class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                </td>
            </tr>
            <tr>
                <td style="text-align: right;">Material code
                </td>
                <td style="text-align: left">
                    <input id="Materialcode" name="Materialcode" value="{{:Materialcode}}" 
                        class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                </td>
                <td style="text-align: right;">Material Name
                </td>
                <td style="text-align: left">
                    <input id="Materialname" name="Materialname" value="{{:Materialname}}" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" />
                </td>
            </tr>
            
        </table>
    </script>



    <script type="text/javascript">
    

    function complete(args) {


        if (args.requestType == "refresh" || args.requestType == "save") {
             $('#<%= ProductGrid.ClientID %>').ejWaitingPopup("hide");


        }

   if ((args.requestType == "beginedit" || args.requestType == "add")) {

                   

               
         }

   }




    </script>



        <script type="text/javascript">


            function materialcomplete(args) {

                if (args.requestType == "refresh" || args.requestType == "save") {
                    $('#<%= MaterialGrid.ClientID %>').ejWaitingPopup("hide");


        }

        if ((args.requestType == "beginedit" || args.requestType == "add")) {




        }

    }




    </script>



</asp:Content>
